com.mysql.jdbc

## Class ConnectionFeatureNotAvailableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - com.mysql.jdbc.CommunicationsException
        - - com.mysql.jdbc.ConnectionFeatureNotAvailableException

All Implemented Interfaces:
  StreamingNotifiable, java.io.Serializable, java.lang.Iterable<java.lang.Throwable>

    public class ConnectionFeatureNotAvailableException
    extends CommunicationsException

Thrown when a client requests a connection-level feature that isn't available for this particular distribution of Connector/J (currently only used by code that is export-controlled).

See Also:
  Serialized Form

### Field Summary

Fields
`(package private) static long` `serialVersionUID`

### Constructor Summary

Constructors
Constructor and Description
`ConnectionFeatureNotAvailableException(MySQLConnection conn, long lastPacketSentTimeMs, java.lang.Exception underlyingException)`

### Method Summary

Methods
`java.lang.String` `getMessage()`
`java.lang.String` `getSQLState()`

### Methods inherited from class com.mysql.jdbc.CommunicationsException

`setWasStreamingResults`

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

### Constructor Detail

#### ConnectionFeatureNotAvailableException

    public ConnectionFeatureNotAvailableException(MySQLConnection conn,
                                          long lastPacketSentTimeMs,
                                          java.lang.Exception underlyingException)

Parameters:
  `conn` -
  `lastPacketSentTimeMs` -
  `underlyingException` -

### Method Detail

#### getMessage

    public java.lang.String getMessage()

Overrides:
  `getMessage` in class `CommunicationsException`

#### getSQLState

    public java.lang.String getSQLState()

Overrides:
  `getSQLState` in class `CommunicationsException`